/**
 * Internal dependencies
 */
import type { ButtonGroupProps } from './types';
/**
 * ButtonGroup can be used to group any related buttons together. To emphasize
 * related buttons, a group should share a common container.
 *
 * @deprecated Use `ToggleGroupControl` instead.
 *
 * ```jsx
 * import { Button, ButtonGroup } from '@wordpress/components';
 *
 * const MyButtonGroup = () => (
 *   <ButtonGroup>
 *     <Button variant="primary">Button 1</Button>
 *     <Button variant="primary">Button 2</Button>
 *   </ButtonGroup>
 * );
 * ```
 */
export declare const ButtonGroup: import("react").ForwardRefExoticComponent<ButtonGroupProps & Omit<Omit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref">, "as" | keyof ButtonGroupProps> & import("react").RefAttributes<HTMLDivElement>>;
export default ButtonGroup;
//# sourceMappingURL=index.d.ts.map