import type { ForwardedRef } from 'react';
import type { ButtonProps, DeprecatedButtonProps } from './types';
export declare function UnforwardedButton(props: ButtonProps & DeprecatedButtonProps, ref: ForwardedRef<any>): import("react").JSX.Element;
/**
 * Lets users take actions and make choices with a single click or tap.
 *
 * ```jsx
 * import { Button } from '@wordpress/components';
 * const Mybutton = () => (
 *   <Button
 *     variant="primary"
 *     onClick={ handleClick }
 *   >
 *     Click here
 *   </Button>
 * );
 * ```
 */
export declare const Button: import("react").ForwardRefExoticComponent<(ButtonProps & DeprecatedButtonProps) & import("react").RefAttributes<any>>;
export default Button;
//# sourceMappingURL=index.d.ts.map