/**
 * External dependencies
 */
import type { Meta } from '@storybook/react';
/**
 * Internal dependencies
 */
import './style.css';
import Button from '..';
declare const meta: Meta<typeof Button>;
export default meta;
export declare const Default: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, (import("../types").ButtonProps & import("../types").DeprecatedButtonProps) & import("react").RefAttributes<any>>;
/**
 * Primary buttons stand out with bold color fills, making them distinct
 * from the background. Since they naturally draw attention, each layout should contain
 * only one primary button to guide users toward the most important action.
 */
export declare const Primary: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, (import("../types").ButtonProps & import("../types").DeprecatedButtonProps) & import("react").RefAttributes<any>>;
/**
 * Secondary buttons complement primary buttons. Use them for standard actions that may appear alongside a primary action.
 */
export declare const Secondary: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, (import("../types").ButtonProps & import("../types").DeprecatedButtonProps) & import("react").RefAttributes<any>>;
/**
 * Tertiary buttons have minimal emphasis. Use them sparingly to subtly highlight an action.
 */
export declare const Tertiary: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, (import("../types").ButtonProps & import("../types").DeprecatedButtonProps) & import("react").RefAttributes<any>>;
/**
 * Link buttons have low emphasis and blend into the page, making them suitable for supplementary actions,
 * especially those involving navigation away from the current view.
 */
export declare const Link: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, (import("../types").ButtonProps & import("../types").DeprecatedButtonProps) & import("react").RefAttributes<any>>;
/**
 * Use this variant for irreversible actions. Apply sparingly and only for actions with significant impact.
 */
export declare const IsDestructive: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, (import("../types").ButtonProps & import("../types").DeprecatedButtonProps) & import("react").RefAttributes<any>>;
export declare const Icon: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, (import("../types").ButtonProps & import("../types").DeprecatedButtonProps) & import("react").RefAttributes<any>>;
export declare const GroupedIcons: () => import("react").JSX.Element;
//# sourceMappingURL=index.story.d.ts.map