import type { MediaProps } from '../types';
/**
 * `CardMedia` provides a container for full-bleed content within a `Card`,
 * such as images, video, or even just a background color.
 *
 * @example
 * ```jsx
 * import { Card, CardBody, CardMedia } from '@wordpress/components';
 *
 * const Example = () => (
 *  <Card>
 *	  <CardMedia>
 *		  <img src="..." />
 *    </CardMedia>
 *    <CardBody>...</CardBody>
 *  </Card>
 * );
 * ```
 */
export declare const CardMedia: import("../../context").WordPressComponent<"div", MediaProps & import("react").RefAttributes<any>, true>;
export default CardMedia;
//# sourceMappingURL=component.d.ts.map