import type { ColorIndicatorProps } from './types';
/**
 * ColorIndicator is a React component that renders a specific color in a
 * circle. It's often used to summarize a collection of used colors in a child
 * component.
 *
 * ```jsx
 * import { ColorIndicator } from '@wordpress/components';
 *
 * const MyColorIndicator = () => <ColorIndicator colorValue="#0073aa" />;
 * ```
 */
export declare const ColorIndicator: import("react").ForwardRefExoticComponent<ColorIndicatorProps & Omit<Omit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, "ref">, "children" | "as" | "colorValue"> & import("react").RefAttributes<HTMLSpanElement>>;
export default ColorIndicator;
//# sourceMappingURL=index.d.ts.map