import type { FlexBlockProps } from '../types';
/**
 * `FlexBlock` is a primitive layout component that adaptively resizes content
 * within layout containers like `Flex`.
 *
 * ```jsx
 * import { Flex, FlexBlock } from '@wordpress/components';
 *
 * function Example() {
 *   return (
 *     <Flex>
 *       <FlexBlock>...</FlexBlock>
 *     </Flex>
 *   );
 * }
 * ```
 */
export declare const FlexBlock: import("../../context").WordPressComponent<"div", FlexBlockProps & import("react").RefAttributes<any>, true>;
export default FlexBlock;
//# sourceMappingURL=component.d.ts.map