import type { FlexItemProps } from '../types';
/**
 * `FlexItem` is a primitive layout component that aligns content within layout
 * containers like `Flex`.
 *
 * ```jsx
 * import { Flex, FlexItem } from '@wordpress/components';
 *
 * function Example() {
 *   return (
 *     <Flex>
 *       <FlexItem>...</FlexItem>
 *     </Flex>
 *   );
 * }
 * ```
 */
export declare const FlexItem: import("../../context").WordPressComponent<"div", FlexItemProps & import("react").RefAttributes<any>, true>;
export default FlexItem;
//# sourceMappingURL=component.d.ts.map