/**
 * `Heading` renders headings and titles using the library's typography system.
 *
 * ```jsx
 * import { __experimentalHeading as Heading } from "@wordpress/components";
 *
 * function Example() {
 *   return <Heading>Code is Poetry</Heading>;
 * }
 * ```
 */
export declare const Heading: import("../context").WordPressComponent<"h1", Omit<import("../text/types").Props, "color" | "weight" | "isBlock"> & {
    level?: import("./types").HeadingSize;
    isBlock?: import("../text/types").Props["isBlock"];
    color?: import("../text/types").Props["color"];
    weight?: import("../text/types").Props["weight"];
} & import("react").RefAttributes<any>, true>;
export default Heading;
//# sourceMappingURL=component.d.ts.map