import type { PrefixSuffixWrapperProps } from './types';
/**
 * A convenience wrapper for the `prefix` when you want to apply
 * standard padding in accordance with the size variant.
 *
 * ```jsx
 * import {
 *   __experimentalInputControl as InputControl,
 *   __experimentalInputControlPrefixWrapper as InputControlPrefixWrapper,
 * } from '@wordpress/components';
 *
 * <InputControl
 *   prefix={<InputControlPrefixWrapper>@</InputControlPrefixWrapper>}
 * />
 * ```
 */
export declare const InputControlPrefixWrapper: import("../context").WordPressComponent<"div", PrefixSuffixWrapperProps & import("react").RefAttributes<any>, true>;
export default InputControlPrefixWrapper;
//# sourceMappingURL=input-prefix-wrapper.d.ts.map