import type { PrefixSuffixWrapperProps } from './types';
/**
 * A convenience wrapper for the `suffix` when you want to apply
 * standard padding in accordance with the size variant.
 *
 * ```jsx
 * import {
 *   __experimentalInputControl as InputControl,
 *   __experimentalInputControlSuffixWrapper as InputControlSuffixWrapper,
 * } from '@wordpress/components';
 *
 * <InputControl
 *   suffix={<InputControlSuffixWrapper>%</InputControlSuffixWrapper>}
 * />
 * ```
 */
export declare const InputControlSuffixWrapper: import("../context").WordPressComponent<"div", PrefixSuffixWrapperProps & import("react").RefAttributes<any>, true>;
export default InputControlSuffixWrapper;
//# sourceMappingURL=input-suffix-wrapper.d.ts.map