import type { ItemGroupProps } from '../types';
/**
 * `ItemGroup` displays a list of `Item`s grouped and styled together.
 *
 * ```jsx
 * import {
 *   __experimentalItemGroup as ItemGroup,
 *   __experimentalItem as Item,
 * } from '@wordpress/components';
 *
 * function Example() {
 *   return (
 *     <ItemGroup>
 *       <Item>Code</Item>
 *       <Item>is</Item>
 *       <Item>Poetry</Item>
 *     </ItemGroup>
 *   );
 * }
 * ```
 */
export declare const ItemGroup: import("../../context").WordPressComponent<"div", ItemGroupProps & import("react").RefAttributes<any>, true>;
export default ItemGroup;
//# sourceMappingURL=component.d.ts.map