/**
 * Internal dependencies
 */
import type { ItemProps } from '../types';
/**
 * `Item` is used in combination with `ItemGroup` to display a list of items
 * grouped and styled together.
 *
 * ```jsx
 * import {
 *   __experimentalItemGroup as ItemGroup,
 *   __experimentalItem as Item,
 * } from '@wordpress/components';
 *
 * function Example() {
 *   return (
 *     <ItemGroup>
 *       <Item>Code</Item>
 *       <Item>is</Item>
 *       <Item>Poetry</Item>
 *     </ItemGroup>
 *   );
 * }
 * ```
 */
export declare const Item: import("../../context").WordPressComponent<"div", ItemProps & import("react").RefAttributes<any>, true>;
export default Item;
//# sourceMappingURL=component.d.ts.map