/**
 * Internal dependencies
 */
import type { MenuGroupProps } from './types';
/**
 * `MenuGroup` wraps a series of related `MenuItem` components into a common
 * section.
 *
 * ```jsx
 * import { MenuGroup, MenuItem } from '@wordpress/components';
 *
 * const MyMenuGroup = () => (
 *   <MenuGroup label="Settings">
 *     <MenuItem>Setting 1</MenuItem>
 *     <MenuItem>Setting 2</MenuItem>
 *   </MenuGroup>
 * );
 * ```
 */
export declare function MenuGroup(props: MenuGroupProps): import("react").JSX.Element | null;
export default MenuGroup;
//# sourceMappingURL=index.d.ts.map