import type { PlaceholderProps } from './types';
import type { WordPressComponentProps } from '../context';
/**
 * Renders a placeholder. Normally used by blocks to render their empty state.
 *
 * ```jsx
 * import { Placeholder } from '@wordpress/components';
 * import { more } from '@wordpress/icons';
 *
 * const MyPlaceholder = () => <Placeholder icon={ more } label="Placeholder" />;
 * ```
 */
export declare function Placeholder(props: WordPressComponentProps<PlaceholderProps, 'div', false>): import("react").JSX.Element;
export default Placeholder;
//# sourceMappingURL=index.d.ts.map