import type { ScrollableProps } from './types';
/**
 * `Scrollable` is a layout component that content in a scrollable container.
 *
 * ```jsx
 * import { __experimentalScrollable as Scrollable } from `@wordpress/components`;
 *
 * function Example() {
 * 	return (
 * 		<Scrollable style={ { maxHeight: 200 } }>
 * 			<div style={ { height: 500 } }>...</div>
 * 		</Scrollable>
 * 	);
 * }
 * ```
 */
export declare const Scrollable: import("../context").WordPressComponent<"div", ScrollableProps & import("react").RefAttributes<any>, true>;
export default Scrollable;
//# sourceMappingURL=component.d.ts.map