/**
 * Internal dependencies
 */
import type { ShortcutProps } from './types';
/**
 * Shortcut component is used to display keyboard shortcuts, and it can be customized with a custom display and aria label if needed.
 *
 * ```jsx
 * import { Shortcut } from '@wordpress/components';
 *
 * const MyShortcut = () => {
 * 	return (
 * 		<Shortcut shortcut={{ display: 'Ctrl + S', ariaLabel: 'Save' }} />
 * 	);
 * };
 * ```
 */
declare function Shortcut(props: ShortcutProps): import("react").JSX.Element | null;
export default Shortcut;
//# sourceMappingURL=index.d.ts.map