import type { SurfaceProps } from './types';
/**
 * `Surface` is a core component that renders a primary background color.
 *
 * In the example below, notice how the `Surface` renders in white (or dark gray if in dark mode).
 *
 * ```jsx
 * import {
 *	__experimentalSurface as Surface,
 *	__experimentalText as Text,
 * } from '@wordpress/components';
 *
 * function Example() {
 * 	return (
 * 		<Surface>
 * 			<Text>Code is Poetry</Text>
 * 		</Surface>
 * 	);
 * }
 * ```
 */
export declare const Surface: import("../context").WordPressComponent<"div", SurfaceProps & import("react").RefAttributes<any>, true>;
export default Surface;
//# sourceMappingURL=component.d.ts.map