import type { Props } from './types';
/**
 * `Text` is a core component that renders text in the library, using the
 * library's typography system.
 *
 * `Text` can be used to render any text-content, like an HTML `p` or `span`.
 *
 * @example
 *
 * ```jsx
 * import { __experimentalText as Text } from `@wordpress/components`;
 *
 * function Example() {
 * 	return <Text>Code is Poetry</Text>;
 * }
 * ```
 */
export declare const Text: import("../context").WordPressComponent<"span", Props & import("react").RefAttributes<any>, true>;
export default Text;
//# sourceMappingURL=component.d.ts.map