/**
 * Internal dependencies
 */
import type { WordPressComponentProps } from '../context';
import type { Props } from './types';
import type React from 'react';
/**
 * @param {import('../context').WordPressComponentProps<import('./types').Props, 'span'>} props
 */
export default function useText(props: WordPressComponentProps<Props, 'span'>): {
    children: React.ReactNode;
    className: string;
    hidden?: boolean | undefined | undefined;
    color?: string | undefined | undefined;
    content?: string | undefined | undefined;
    style?: React.CSSProperties | undefined;
    translate?: "yes" | "no" | undefined | undefined;
    slot?: string | undefined | undefined;
    title?: string | undefined | undefined;
    suppressHydrationWarning?: boolean | undefined | undefined;
    id?: string | undefined | undefined;
    lang?: string | undefined | undefined;
    role?: React.AriaRole | undefined;
    tabIndex?: number | undefined | undefined;
    "aria-activedescendant"?: string | undefined | undefined;
    "aria-atomic"?: (boolean | "false" | "true") | undefined;
    "aria-autocomplete"?: "none" | "inline" | "list" | "both" | undefined | undefined;
    "aria-braillelabel"?: string | undefined | undefined;
    "aria-brailleroledescription"?: string | undefined | undefined;
    "aria-busy"?: (boolean | "false" | "true") | undefined;
    "aria-checked"?: boolean | "false" | "mixed" | "true" | undefined | undefined;
    "aria-colcount"?: number | undefined | undefined;
    "aria-colindex"?: number | undefined | undefined;
    "aria-colindextext"?: string | undefined | undefined;
    "aria-colspan"?: number | undefined | undefined;
    "aria-controls"?: string | undefined | undefined;
    "aria-current"?: boolean | "false" | "true" | "page" | "step" | "location" | "date" | "time" | undefined | undefined;
    "aria-describedby"?: string | undefined | undefined;
    "aria-description"?: string | undefined | undefined;
    "aria-details"?: string | undefined | undefined;
    "aria-disabled"?: (boolean | "false" | "true") | undefined;
    "aria-dropeffect"?: "none" | "copy" | "execute" | "link" | "move" | "popup" | undefined | undefined;
    "aria-errormessage"?: string | undefined | undefined;
    "aria-expanded"?: (boolean | "false" | "true") | undefined;
    "aria-flowto"?: string | undefined | undefined;
    "aria-grabbed"?: (boolean | "false" | "true") | undefined;
    "aria-haspopup"?: boolean | "false" | "true" | "menu" | "listbox" | "tree" | "grid" | "dialog" | undefined | undefined;
    "aria-hidden"?: (boolean | "false" | "true") | undefined;
    "aria-invalid"?: boolean | "false" | "true" | "grammar" | "spelling" | undefined | undefined;
    "aria-keyshortcuts"?: string | undefined | undefined;
    "aria-label"?: string | undefined | undefined;
    "aria-labelledby"?: string | undefined | undefined;
    "aria-level"?: number | undefined | undefined;
    "aria-live"?: "off" | "assertive" | "polite" | undefined | undefined;
    "aria-modal"?: (boolean | "false" | "true") | undefined;
    "aria-multiline"?: (boolean | "false" | "true") | undefined;
    "aria-multiselectable"?: (boolean | "false" | "true") | undefined;
    "aria-orientation"?: "horizontal" | "vertical" | undefined | undefined;
    "aria-owns"?: string | undefined | undefined;
    "aria-placeholder"?: string | undefined | undefined;
    "aria-posinset"?: number | undefined | undefined;
    "aria-pressed"?: boolean | "false" | "mixed" | "true" | undefined | undefined;
    "aria-readonly"?: (boolean | "false" | "true") | undefined;
    "aria-relevant"?: "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text" | "text additions" | "text removals" | undefined | undefined;
    "aria-required"?: (boolean | "false" | "true") | undefined;
    "aria-roledescription"?: string | undefined | undefined;
    "aria-rowcount"?: number | undefined | undefined;
    "aria-rowindex"?: number | undefined | undefined;
    "aria-rowindextext"?: string | undefined | undefined;
    "aria-rowspan"?: number | undefined | undefined;
    "aria-selected"?: (boolean | "false" | "true") | undefined;
    "aria-setsize"?: number | undefined | undefined;
    "aria-sort"?: "none" | "ascending" | "descending" | "other" | undefined | undefined;
    "aria-valuemax"?: number | undefined | undefined;
    "aria-valuemin"?: number | undefined | undefined;
    "aria-valuenow"?: number | undefined | undefined;
    "aria-valuetext"?: string | undefined | undefined;
    dangerouslySetInnerHTML?: {
        __html: string | TrustedHTML;
    } | undefined | undefined;
    onCopy?: React.ClipboardEventHandler<HTMLSpanElement> | undefined;
    onCopyCapture?: React.ClipboardEventHandler<HTMLSpanElement> | undefined;
    onCut?: React.ClipboardEventHandler<HTMLSpanElement> | undefined;
    onCutCapture?: React.ClipboardEventHandler<HTMLSpanElement> | undefined;
    onPaste?: React.ClipboardEventHandler<HTMLSpanElement> | undefined;
    onPasteCapture?: React.ClipboardEventHandler<HTMLSpanElement> | undefined;
    onCompositionEnd?: React.CompositionEventHandler<HTMLSpanElement> | undefined;
    onCompositionEndCapture?: React.CompositionEventHandler<HTMLSpanElement> | undefined;
    onCompositionStart?: React.CompositionEventHandler<HTMLSpanElement> | undefined;
    onCompositionStartCapture?: React.CompositionEventHandler<HTMLSpanElement> | undefined;
    onCompositionUpdate?: React.CompositionEventHandler<HTMLSpanElement> | undefined;
    onCompositionUpdateCapture?: React.CompositionEventHandler<HTMLSpanElement> | undefined;
    onFocus?: React.FocusEventHandler<HTMLSpanElement> | undefined;
    onFocusCapture?: React.FocusEventHandler<HTMLSpanElement> | undefined;
    onBlur?: React.FocusEventHandler<HTMLSpanElement> | undefined;
    onBlurCapture?: React.FocusEventHandler<HTMLSpanElement> | undefined;
    onChange?: React.FormEventHandler<HTMLSpanElement> | undefined;
    onChangeCapture?: React.FormEventHandler<HTMLSpanElement> | undefined;
    onBeforeInput?: React.FormEventHandler<HTMLSpanElement> | undefined;
    onBeforeInputCapture?: React.FormEventHandler<HTMLSpanElement> | undefined;
    onInput?: React.FormEventHandler<HTMLSpanElement> | undefined;
    onInputCapture?: React.FormEventHandler<HTMLSpanElement> | undefined;
    onReset?: React.FormEventHandler<HTMLSpanElement> | undefined;
    onResetCapture?: React.FormEventHandler<HTMLSpanElement> | undefined;
    onSubmit?: React.FormEventHandler<HTMLSpanElement> | undefined;
    onSubmitCapture?: React.FormEventHandler<HTMLSpanElement> | undefined;
    onInvalid?: React.FormEventHandler<HTMLSpanElement> | undefined;
    onInvalidCapture?: React.FormEventHandler<HTMLSpanElement> | undefined;
    onLoad?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onError?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onErrorCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onKeyDown?: React.KeyboardEventHandler<HTMLSpanElement> | undefined;
    onKeyDownCapture?: React.KeyboardEventHandler<HTMLSpanElement> | undefined;
    onKeyPress?: React.KeyboardEventHandler<HTMLSpanElement> | undefined;
    onKeyPressCapture?: React.KeyboardEventHandler<HTMLSpanElement> | undefined;
    onKeyUp?: React.KeyboardEventHandler<HTMLSpanElement> | undefined;
    onKeyUpCapture?: React.KeyboardEventHandler<HTMLSpanElement> | undefined;
    onAbort?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onAbortCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onCanPlay?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onCanPlayCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onCanPlayThrough?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onCanPlayThroughCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onDurationChange?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onDurationChangeCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onEmptied?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onEmptiedCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onEncrypted?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onEncryptedCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onEnded?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onEndedCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadedData?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadedDataCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadedMetadata?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadedMetadataCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadStart?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onLoadStartCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onPause?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onPauseCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onPlay?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onPlayCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onPlaying?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onPlayingCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onProgress?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onProgressCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onRateChange?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onRateChangeCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onResize?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onResizeCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onSeeked?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onSeekedCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onSeeking?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onSeekingCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onStalled?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onStalledCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onSuspend?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onSuspendCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onTimeUpdate?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onTimeUpdateCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onVolumeChange?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onVolumeChangeCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onWaiting?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onWaitingCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onAuxClick?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onAuxClickCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onClick?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onClickCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onContextMenu?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onContextMenuCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onDoubleClick?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onDoubleClickCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onDrag?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDragCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDragEnd?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDragEndCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDragEnter?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDragEnterCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDragExit?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDragExitCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDragLeave?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDragLeaveCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDragOver?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDragOverCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDragStart?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDragStartCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDrop?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onDropCapture?: React.DragEventHandler<HTMLSpanElement> | undefined;
    onMouseDown?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseDownCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseEnter?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseLeave?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseMove?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseMoveCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseOut?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseOutCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseOver?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseOverCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseUp?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onMouseUpCapture?: React.MouseEventHandler<HTMLSpanElement> | undefined;
    onSelect?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onSelectCapture?: React.ReactEventHandler<HTMLSpanElement> | undefined;
    onTouchCancel?: React.TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchCancelCapture?: React.TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchEnd?: React.TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchEndCapture?: React.TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchMove?: React.TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchMoveCapture?: React.TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchStart?: React.TouchEventHandler<HTMLSpanElement> | undefined;
    onTouchStartCapture?: React.TouchEventHandler<HTMLSpanElement> | undefined;
    onPointerDown?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerDownCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerMove?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerMoveCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerUp?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerUpCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerCancel?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerCancelCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerEnter?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerLeave?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerOver?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerOverCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerOut?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onPointerOutCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onGotPointerCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onGotPointerCaptureCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onLostPointerCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onLostPointerCaptureCapture?: React.PointerEventHandler<HTMLSpanElement> | undefined;
    onScroll?: React.UIEventHandler<HTMLSpanElement> | undefined;
    onScrollCapture?: React.UIEventHandler<HTMLSpanElement> | undefined;
    onWheel?: React.WheelEventHandler<HTMLSpanElement> | undefined;
    onWheelCapture?: React.WheelEventHandler<HTMLSpanElement> | undefined;
    onAnimationStart?: React.AnimationEventHandler<HTMLSpanElement> | undefined;
    onAnimationStartCapture?: React.AnimationEventHandler<HTMLSpanElement> | undefined;
    onAnimationEnd?: React.AnimationEventHandler<HTMLSpanElement> | undefined;
    onAnimationEndCapture?: React.AnimationEventHandler<HTMLSpanElement> | undefined;
    onAnimationIteration?: React.AnimationEventHandler<HTMLSpanElement> | undefined;
    onAnimationIterationCapture?: React.AnimationEventHandler<HTMLSpanElement> | undefined;
    onTransitionEnd?: React.TransitionEventHandler<HTMLSpanElement> | undefined;
    onTransitionEndCapture?: React.TransitionEventHandler<HTMLSpanElement> | undefined;
    key?: React.Key | null | undefined;
    defaultChecked?: boolean | undefined | undefined;
    defaultValue?: string | number | readonly string[] | undefined;
    suppressContentEditableWarning?: boolean | undefined | undefined;
    accessKey?: string | undefined | undefined;
    autoFocus?: boolean | undefined | undefined;
    contentEditable?: "inherit" | (boolean | "false" | "true") | "plaintext-only" | undefined;
    contextMenu?: string | undefined | undefined;
    dir?: string | undefined | undefined;
    draggable?: (boolean | "false" | "true") | undefined;
    nonce?: string | undefined | undefined;
    spellCheck?: (boolean | "false" | "true") | undefined;
    radioGroup?: string | undefined | undefined;
    about?: string | undefined | undefined;
    datatype?: string | undefined | undefined;
    inlist?: any;
    prefix?: string | undefined | undefined;
    property?: string | undefined | undefined;
    rel?: string | undefined | undefined;
    resource?: string | undefined | undefined;
    rev?: string | undefined | undefined;
    typeof?: string | undefined | undefined;
    vocab?: string | undefined | undefined;
    autoCapitalize?: string | undefined | undefined;
    autoCorrect?: string | undefined | undefined;
    autoSave?: string | undefined | undefined;
    itemProp?: string | undefined | undefined;
    itemScope?: boolean | undefined | undefined;
    itemType?: string | undefined | undefined;
    itemID?: string | undefined | undefined;
    itemRef?: string | undefined | undefined;
    results?: number | undefined | undefined;
    security?: string | undefined | undefined;
    unselectable?: "on" | "off" | undefined | undefined;
    inputMode?: "none" | "text" | "tel" | "url" | "email" | "numeric" | "decimal" | "search" | undefined | undefined;
    is?: string | undefined | undefined;
    as?: keyof JSX.IntrinsicElements | undefined;
};
//# sourceMappingURL=hook.d.ts.map