/**
 * Internal dependencies
 */
import type { ToggleGroupControlProps } from '../types';
type ValueProp = ToggleGroupControlProps['value'];
/**
 * Used to determine, via an internal heuristics, whether an `undefined` value
 * received for the `value` prop should be interpreted as the component being
 * used in uncontrolled mode, or as an "empty" value for controlled mode.
 *
 * @param valueProp The received `value`
 */
export declare function useComputeControlledOrUncontrolledValue(valueProp: ValueProp): {
    value: ValueProp;
    defaultValue: ValueProp;
};
export {};
//# sourceMappingURL=utils.d.ts.map