import type { WordPressComponentProps } from '../context';
import type { TreeGridCellProps } from './types';
/**
 * `TreeGridCell` is used to create a tree hierarchy.
 * It is not a visually styled component, but instead helps with adding
 * keyboard navigation and roving tab index behaviors to tree grid structures.
 *
 * @see {@link https://www.w3.org/TR/wai-aria-practices/examples/treegrid/treegrid-1.html}
 */
export declare const TreeGridCell: import("react").ForwardRefExoticComponent<WordPressComponentProps<TreeGridCellProps, "td", false> & import("react").RefAttributes<any>>;
export default TreeGridCell;
//# sourceMappingURL=cell.d.ts.map