import type { RovingTabIndexItemProps } from './types';
/**
 * `TreeGridItem` is used to create a tree hierarchy.
 * It is not a visually styled component, but instead helps with adding
 * keyboard navigation and roving tab index behaviors to tree grid structures.
 *
 * @see {@link https://www.w3.org/TR/wai-aria-practices/examples/treegrid/treegrid-1.html}
 */
export declare const TreeGridItem: import("react").ForwardRefExoticComponent<Omit<RovingTabIndexItemProps, "ref"> & import("react").RefAttributes<any>>;
export default TreeGridItem;
//# sourceMappingURL=item.d.ts.map