import type { TreeGridRowProps } from './types';
/**
 * `TreeGridRow` is used to create a tree hierarchy.
 * It is not a visually styled component, but instead helps with adding
 * keyboard navigation and roving tab index behaviors to tree grid structures.
 *
 * @see {@link https://www.w3.org/TR/wai-aria-practices/examples/treegrid/treegrid-1.html}
 */
export declare const TreeGridRow: import("react").ForwardRefExoticComponent<TreeGridRowProps & Omit<Omit<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLTableRowElement>, HTMLTableRowElement>, "ref">, "as" | keyof TreeGridRowProps> & import("react").RefAttributes<HTMLTableRowElement>>;
export default TreeGridRow;
//# sourceMappingURL=row.d.ts.map