/**
 * External dependencies
 */
import type { CSSProperties, ReactText } from 'react';
export type HeadingSize = 1 | 2 | 3 | 4 | 5 | 6 | '1' | '2' | '3' | '4' | '5' | '6';
export declare const BASE_FONT_SIZE = 13;
export declare const PRESET_FONT_SIZES: {
    body: number;
    caption: number;
    footnote: number;
    largeTitle: number;
    subheadline: number;
    title: number;
};
export declare const HEADING_FONT_SIZES: HeadingSize[];
export declare function getFontSize(size?: CSSProperties['fontSize'] | keyof typeof PRESET_FONT_SIZES): string;
export declare function getHeadingFontSize(size?: ReactText): string;
//# sourceMappingURL=font-size.d.ts.map