/**
 * `VStack` (or Vertical Stack) is a layout component that arranges child
 * elements in a vertical line.
 *
 * `VStack` can render anything inside.
 *
 * ```jsx
 * import {
 * 	__experimentalText as Text,
 * 	__experimentalVStack as VStack,
 * } from `@wordpress/components`;
 *
 * function Example() {
 * 	return (
 * 		<VStack>
 * 			<Text>Code</Text>
 * 			<Text>is</Text>
 * 			<Text>Poetry</Text>
 * 		</VStack>
 * 	);
 * }
 * ```
 */
export declare const VStack: import("../context").WordPressComponent<"div", Omit<import("../h-stack/types").Props, "spacing" | "alignment"> & {
    alignment?: import("../h-stack/types").HStackAlignment | import("react").CSSProperties["alignItems"];
    spacing?: import("react").CSSProperties["width"];
} & import("react").RefAttributes<any>, true>;
export default VStack;
//# sourceMappingURL=component.d.ts.map