import type { VisuallyHiddenProps } from './types';
/**
 * `VisuallyHidden` is a component used to render text intended to be visually
 * hidden, but will show for alternate devices, for example a screen reader.
 *
 * ```jsx
 * import { VisuallyHidden } from `@wordpress/components`;
 *
 * function Example() {
 *   return (
 *     <VisuallyHidden>
 *       <label>Code is Poetry</label>
 *     </VisuallyHidden>
 *   );
 * }
 * ```
 */
export declare const VisuallyHidden: import("../context").WordPressComponent<"div", VisuallyHiddenProps & import("react").RefAttributes<any>, true>;
export default VisuallyHidden;
//# sourceMappingURL=component.d.ts.map