import type { ZStackProps } from './types';
/**
 * `ZStack` allows you to stack things along the Z-axis.
 *
 * ```jsx
 * import { __experimentalZStack as ZStack } from '@wordpress/components';
 *
 * function Example() {
 *   return (
 *     <ZStack offset={ 20 } isLayered>
 *       <ExampleImage />
 *       <ExampleImage />
 *       <ExampleImage />
 *     </ZStack>
 *   );
 * }
 * ```
 */
export declare const ZStack: import("../context").WordPressComponent<"div", ZStackProps & import("react").RefAttributes<any>, true>;
export default ZStack;
//# sourceMappingURL=component.d.ts.map