"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _icons = require("@wordpress/icons");
var _i18n = require("@wordpress/i18n");
var _button = _interopRequireDefault(require("../../button"));
var _context = require("../../context");
var _hook = require("./hook");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

const BorderBoxControlLinkedButton = (props, forwardedRef) => {
  const {
    className,
    isLinked,
    ...buttonProps
  } = (0, _hook.useBorderBoxControlLinkedButton)(props);
  const label = isLinked ? (0, _i18n.__)('Unlink sides') : (0, _i18n.__)('Link sides');
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_button.default, {
    ...buttonProps,
    size: "small",
    icon: isLinked ? _icons.link : _icons.linkOff,
    iconSize: 24,
    label: label,
    ref: forwardedRef,
    className: className
  });
};
const ConnectedBorderBoxControlLinkedButton = (0, _context.contextConnect)(BorderBoxControlLinkedButton, 'BorderBoxControlLinkedButton');
var _default = exports.default = ConnectedBorderBoxControlLinkedButton;
//# sourceMappingURL=component.js.map