"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = LinkedButton;
var _icons = require("@wordpress/icons");
var _i18n = require("@wordpress/i18n");
var _button = _interopRequireDefault(require("../button"));
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function LinkedButton({
  isLinked,
  ...props
}) {
  const label = isLinked ? (0, _i18n.__)('Unlink sides') : (0, _i18n.__)('Link sides');
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_button.default, {
    ...props,
    className: "component-box-control__linked-button",
    size: "small",
    icon: isLinked ? _icons.link : _icons.linkOff,
    iconSize: 24,
    label: label
  });
}
//# sourceMappingURL=linked-button.js.map