"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.CardFooter = void 0;
var _context = require("../../context");
var _flex = require("../../flex");
var _hook = require("./hook");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * External dependencies
 */

/**
 * Internal dependencies
 */

function UnconnectedCardFooter(props, forwardedRef) {
  const footerProps = (0, _hook.useCardFooter)(props);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_flex.Flex, {
    ...footerProps,
    ref: forwardedRef
  });
}

/**
 * `CardFooter` renders an optional footer within a `Card`.
 *
 * ```jsx
 * import { Card, CardBody, CardFooter } from `@wordpress/components`;
 *
 * <Card>
 * 	<CardBody>...</CardBody>
 * 	<CardFooter>...</CardFooter>
 * </Card>
 * ```
 */
const CardFooter = exports.CardFooter = (0, _context.contextConnect)(UnconnectedCardFooter, 'CardFooter');
var _default = exports.default = CardFooter;
//# sourceMappingURL=component.js.map