"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ColorInput = void 0;
var _rgbInput = require("./rgb-input");
var _hslInput = require("./hsl-input");
var _hexInput = require("./hex-input");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * Internal dependencies
 */

const ColorInput = ({
  colorType,
  color,
  onChange,
  enableAlpha
}) => {
  const props = {
    color,
    onChange,
    enableAlpha
  };
  switch (colorType) {
    case 'hsl':
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_hslInput.HslInput, {
        ...props
      });
    case 'rgb':
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_rgbInput.RgbInput, {
        ...props
      });
    default:
    case 'hex':
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_hexInput.HexInput, {
        ...props
      });
  }
};
exports.ColorInput = ColorInput;
//# sourceMappingURL=color-input.js.map