"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.FlexBlock = void 0;
var _context = require("../../context");
var _view = require("../../view");
var _hook = require("./hook");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * External dependencies
 */

/**
 * Internal dependencies
 */

function UnconnectedFlexBlock(props, forwardedRef) {
  const flexBlockProps = (0, _hook.useFlexBlock)(props);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_view.View, {
    ...flexBlockProps,
    ref: forwardedRef
  });
}

/**
 * `FlexBlock` is a primitive layout component that adaptively resizes content
 * within layout containers like `Flex`.
 *
 * ```jsx
 * import { Flex, FlexBlock } from '@wordpress/components';
 *
 * function Example() {
 *   return (
 *     <Flex>
 *       <FlexBlock>...</FlexBlock>
 *     </Flex>
 *   );
 * }
 * ```
 */
const FlexBlock = exports.FlexBlock = (0, _context.contextConnect)(UnconnectedFlexBlock, 'FlexBlock');
var _default = exports.default = FlexBlock;
//# sourceMappingURL=component.js.map