"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.FlexItem = void 0;
var _context = require("../../context");
var _view = require("../../view");
var _hook = require("./hook");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * External dependencies
 */

/**
 * Internal dependencies
 */

function UnconnectedFlexItem(props, forwardedRef) {
  const flexItemProps = (0, _hook.useFlexItem)(props);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_view.View, {
    ...flexItemProps,
    ref: forwardedRef
  });
}

/**
 * `FlexItem` is a primitive layout component that aligns content within layout
 * containers like `Flex`.
 *
 * ```jsx
 * import { Flex, FlexItem } from '@wordpress/components';
 *
 * function Example() {
 *   return (
 *     <Flex>
 *       <FlexItem>...</FlexItem>
 *     </Flex>
 *   );
 * }
 * ```
 */
const FlexItem = exports.FlexItem = (0, _context.contextConnect)(UnconnectedFlexItem, 'FlexItem');
var _default = exports.default = FlexItem;
//# sourceMappingURL=component.js.map