"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Grid = void 0;
var _context = require("../context");
var _view = require("../view");
var _hook = _interopRequireDefault(require("./hook"));
var _jsxRuntime = require("react/jsx-runtime");
/**
 * External dependencies
 */

/**
 * Internal dependencies
 */

function UnconnectedGrid(props, forwardedRef) {
  const gridProps = (0, _hook.default)(props);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_view.View, {
    ...gridProps,
    ref: forwardedRef
  });
}

/**
 * `Grid` is a primitive layout component that can arrange content in a grid configuration.
 *
 * ```jsx
 * import {
 * 	__experimentalGrid as Grid,
 * 	__experimentalText as Text
 * } from `@wordpress/components`;
 *
 * function Example() {
 * 	return (
 * 		<Grid columns={ 3 }>
 * 			<Text>Code</Text>
 * 			<Text>is</Text>
 * 			<Text>Poetry</Text>
 * 		</Grid>
 * 	);
 * }
 * ```
 */
const Grid = exports.Grid = (0, _context.contextConnect)(UnconnectedGrid, 'Grid');
var _default = exports.default = Grid;
//# sourceMappingURL=component.js.map