"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.HStack = void 0;
var _context = require("../context");
var _view = require("../view");
var _hook = require("./hook");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * Internal dependencies
 */

function UnconnectedHStack(props, forwardedRef) {
  const hStackProps = (0, _hook.useHStack)(props);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_view.View, {
    ...hStackProps,
    ref: forwardedRef
  });
}

/**
 * `HStack` (Horizontal Stack) arranges child elements in a horizontal line.
 *
 * `HStack` can render anything inside.
 *
 * ```jsx
 * import {
 * 	__experimentalHStack as HStack,
 * 	__experimentalText as Text,
 * } from `@wordpress/components`;
 *
 * function Example() {
 * 	return (
 * 		<HStack>
 * 			<Text>Code</Text>
 * 			<Text>is</Text>
 * 			<Text>Poetry</Text>
 * 		</HStack>
 * 	);
 * }
 * ```
 */
const HStack = exports.HStack = (0, _context.contextConnect)(UnconnectedHStack, 'HStack');
var _default = exports.default = HStack;
//# sourceMappingURL=component.js.map