"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TriggerButton = void 0;
var Ariakit = _interopRequireWildcard(require("@ariakit/react"));
var _element = require("@wordpress/element");
var _context = require("./context");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * External dependencies
 */

/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

const TriggerButton = exports.TriggerButton = (0, _element.forwardRef)(function TriggerButton({
  children,
  disabled = false,
  ...props
}, ref) {
  const menuContext = (0, _element.useContext)(_context.Context);
  if (!menuContext?.store) {
    throw new Error('Menu.TriggerButton can only be rendered inside a Menu component');
  }
  if (menuContext.store.parent) {
    throw new Error('Menu.TriggerButton should not be rendered inside a nested Menu component. Use Menu.SubmenuTriggerItem instead.');
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(Ariakit.MenuButton, {
    ref: ref,
    ...props,
    disabled: disabled,
    store: menuContext.store,
    children: children
  });
});
//# sourceMappingURL=trigger-button.js.map