"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
var _element = require("@wordpress/element");
var _bottomSheetContext = require("../bottom-sheet-context");
var _slotFill = require("../../../slot-fill");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * External dependencies
 */

/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

const {
  Fill,
  Slot
} = (0, _slotFill.createSlotFill)('BottomSheetSubSheet');
const BottomSheetSubSheet = ({
  children,
  navigationButton,
  showSheet,
  isFullScreen
}) => {
  const {
    setIsFullScreen
  } = (0, _element.useContext)(_bottomSheetContext.BottomSheetContext);
  (0, _element.useEffect)(() => {
    if (showSheet) {
      setIsFullScreen(isFullScreen);
    }
    // See https://github.com/WordPress/gutenberg/pull/41166
  }, [showSheet, isFullScreen]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [showSheet && /*#__PURE__*/(0, _jsxRuntime.jsx)(Fill, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.SafeAreaView, {
        children: children
      })
    }), _element.Children.count(children) > 0 && navigationButton]
  });
};
BottomSheetSubSheet.Slot = Slot;
BottomSheetSubSheet.screenName = 'BottomSheetSubSheet';
var _default = exports.default = BottomSheetSubSheet;
//# sourceMappingURL=index.native.js.map