"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useIsFloatingKeyboard;
var _reactNative = require("react-native");
var _element = require("@wordpress/element");
/**
 * External dependencies
 */

/**
 * WordPress dependencies
 */

function useIsFloatingKeyboard() {
  const windowWidth = _reactNative.Dimensions.get('window').width;
  const [floating, setFloating] = (0, _element.useState)(false);
  (0, _element.useEffect)(() => {
    const onKeyboardWillChangeFrame = event => {
      setFloating(event.endCoordinates.width !== windowWidth);
    };
    const keyboardChangeSubscription = _reactNative.Keyboard.addListener('keyboardWillChangeFrame', onKeyboardWillChangeFrame);
    return () => {
      keyboardChangeSubscription.remove();
    };
  }, [windowWidth]);
  return floating;
}
//# sourceMappingURL=use-is-floating-keyboard.native.js.map