"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = NavigationSearchNoResultsFound;
var _i18n = require("@wordpress/i18n");
var _context = require("../context");
var _navigationStyles = require("../styles/navigation-styles");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function NavigationSearchNoResultsFound({
  search
}) {
  const {
    navigationTree: {
      items
    }
  } = (0, _context.useNavigationContext)();
  const resultsCount = Object.values(items).filter(item => item._isVisible).length;
  if (!search || !!resultsCount) {
    return null;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_navigationStyles.ItemBaseUI, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_navigationStyles.ItemUI, {
      children: [(0, _i18n.__)('No results found.'), " "]
    })
  });
}
//# sourceMappingURL=search-no-results-found.js.map