"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useNavigationTreeMenu = void 0;
var _element = require("@wordpress/element");
var _context = require("../context");
var _constants = require("../constants");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

const useNavigationTreeMenu = props => {
  const {
    navigationTree: {
      addMenu,
      removeMenu
    }
  } = (0, _context.useNavigationContext)();
  const key = props.menu || _constants.ROOT_MENU;
  (0, _element.useEffect)(() => {
    addMenu(key, {
      ...props,
      menu: key
    });
    return () => {
      removeMenu(key);
    };
    // Not adding deps for now, as it would require either a larger refactor
    // See https://github.com/WordPress/gutenberg/pull/44090
  }, []);
};
exports.useNavigationTreeMenu = useNavigationTreeMenu;
//# sourceMappingURL=use-navigation-tree-menu.js.map