"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useNavigator = useNavigator;
var _element = require("@wordpress/element");
var _context = require("./context");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

/**
 * Retrieves a `navigator` instance. This hook provides advanced functionality,
 * such as imperatively navigating to a new location (with options like
 * navigating back or skipping focus restoration) and accessing the current
 * location and path parameters.
 */
function useNavigator() {
  const {
    location,
    params,
    goTo,
    goBack,
    goToParent
  } = (0, _element.useContext)(_context.NavigatorContext);
  return {
    location,
    goTo,
    goBack,
    goToParent,
    params
  };
}
//# sourceMappingURL=use-navigator.js.map