"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.privateApis = void 0;
var _utils = require("./popover/utils");
var _menu = require("./menu");
var _contextSystemProvider = require("./context/context-system-provider");
var _theme = _interopRequireDefault(require("./theme"));
var _tabs = require("./tabs");
var _strings = require("./utils/strings");
var _withIgnoreImeEvents = require("./utils/with-ignore-ime-events");
var _lockUnlock = require("./lock-unlock");
var _badge = _interopRequireDefault(require("./badge"));
/**
 * Internal dependencies
 */

const privateApis = exports.privateApis = {};
(0, _lockUnlock.lock)(privateApis, {
  __experimentalPopoverLegacyPositionToPlacement: _utils.positionToPlacement,
  ComponentsContext: _contextSystemProvider.ComponentsContext,
  Tabs: _tabs.Tabs,
  Theme: _theme.default,
  Menu: _menu.Menu,
  kebabCase: _strings.kebabCase,
  withIgnoreIMEEvents: _withIgnoreImeEvents.withIgnoreIMEEvents,
  Badge: _badge.default,
  normalizeTextString: _strings.normalizeTextString
});
//# sourceMappingURL=private-apis.js.map