"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _element = require("@wordpress/element");
var _rangeCell = _interopRequireDefault(require("../mobile/bottom-sheet/range-cell"));
var _stepperCell = _interopRequireDefault(require("../mobile/bottom-sheet/stepper-cell"));
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

const RangeControl = (0, _element.memo)(({
  className,
  currentInput,
  label,
  value,
  instanceId,
  onChange,
  beforeIcon,
  afterIcon,
  help,
  allowReset,
  initialPosition,
  min,
  max,
  type,
  separatorType,
  disabled,
  ...props
}) => {
  if (type === 'stepper') {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_stepperCell.default, {
      label: label,
      max: max,
      min: min,
      onChange: onChange,
      separatorType: separatorType,
      value: value,
      disabled: disabled
    });
  }
  const id = `inspector-range-control-${instanceId}`;
  const currentInputValue = currentInput === null ? value : currentInput;
  const initialSliderValue = isFinite(currentInputValue) ? currentInputValue : initialPosition;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_rangeCell.default, {
    label: label,
    id: id,
    help: help,
    className: className,
    onChange: onChange,
    "aria-describedby": !!help ? `${id}__help` : undefined,
    minimumValue: min,
    maximumValue: max,
    value: value,
    beforeIcon: beforeIcon,
    afterIcon: afterIcon,
    allowReset: allowReset,
    defaultValue: initialSliderValue,
    separatorType: separatorType,
    disabled: disabled,
    ...props
  });
});
var _default = exports.default = RangeControl;
//# sourceMappingURL=index.native.js.map