"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = RangeMark;
var _clsx = _interopRequireDefault(require("clsx"));
var _rangeControlStyles = require("./styles/range-control-styles");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * External dependencies
 */

/**
 * Internal dependencies
 */

function RangeMark(props) {
  const {
    className,
    isFilled = false,
    label,
    style = {},
    ...otherProps
  } = props;
  const classes = (0, _clsx.default)('components-range-control__mark', isFilled && 'is-filled', className);
  const labelClasses = (0, _clsx.default)('components-range-control__mark-label', isFilled && 'is-filled');
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_rangeControlStyles.Mark, {
      ...otherProps,
      "aria-hidden": "true",
      className: classes,
      style: style
    }), label && /*#__PURE__*/(0, _jsxRuntime.jsx)(_rangeControlStyles.MarkLabel, {
      "aria-hidden": "true",
      className: labelClasses,
      isFilled: isFilled,
      style: style,
      children: label
    })]
  });
}
//# sourceMappingURL=mark.js.map