"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Scrollable = void 0;
var _context = require("../context");
var _view = require("../view");
var _hook = require("./hook");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * External dependencies
 */

/**
 * Internal dependencies
 */

function UnconnectedScrollable(props, forwardedRef) {
  const scrollableProps = (0, _hook.useScrollable)(props);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_view.View, {
    ...scrollableProps,
    ref: forwardedRef
  });
}

/**
 * `Scrollable` is a layout component that content in a scrollable container.
 *
 * ```jsx
 * import { __experimentalScrollable as Scrollable } from `@wordpress/components`;
 *
 * function Example() {
 * 	return (
 * 		<Scrollable style={ { maxHeight: 200 } }>
 * 			<div style={ { height: 500 } }>...</div>
 * 		</Scrollable>
 * 	);
 * }
 * ```
 */
const Scrollable = exports.Scrollable = (0, _context.contextConnect)(UnconnectedScrollable, 'Scrollable');
var _default = exports.default = Scrollable;
//# sourceMappingURL=component.js.map