"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLineHeight = getLineHeight;
var _space = require("../utils/space");
var _utils = require("../utils");
/**
 * External dependencies
 */

/**
 * Internal dependencies
 */

function getLineHeight(adjustLineHeightForInnerControls, lineHeight) {
  if (lineHeight) {
    return lineHeight;
  }
  if (!adjustLineHeightForInnerControls) {
    return;
  }
  let value = `calc(${_utils.CONFIG.controlHeight} + ${(0, _space.space)(2)})`;
  switch (adjustLineHeightForInnerControls) {
    case 'large':
      value = `calc(${_utils.CONFIG.controlHeightLarge} + ${(0, _space.space)(2)})`;
      break;
    case 'small':
      value = `calc(${_utils.CONFIG.controlHeightSmall} + ${(0, _space.space)(2)})`;
      break;
    case 'xSmall':
      value = `calc(${_utils.CONFIG.controlHeightXSmall} + ${(0, _space.space)(2)})`;
      break;
    default:
      break;
  }
  return value;
}
//# sourceMappingURL=get-line-height.js.map