"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.TreeGridItem = void 0;
var _element = require("@wordpress/element");
var _rovingTabIndexItem = _interopRequireDefault(require("./roving-tab-index-item"));
var _jsxRuntime = require("react/jsx-runtime");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

function UnforwardedTreeGridItem({
  children,
  ...props
}, ref) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_rovingTabIndexItem.default, {
    ref: ref,
    ...props,
    children: children
  });
}

/**
 * `TreeGridItem` is used to create a tree hierarchy.
 * It is not a visually styled component, but instead helps with adding
 * keyboard navigation and roving tab index behaviors to tree grid structures.
 *
 * @see {@link https://www.w3.org/TR/wai-aria-practices/examples/treegrid/treegrid-1.html}
 */
const TreeGridItem = exports.TreeGridItem = (0, _element.forwardRef)(UnforwardedTreeGridItem);
var _default = exports.default = TreeGridItem;
//# sourceMappingURL=item.js.map